<?php
/**
 * Admin new quote request email (plain text)
 *
 * @author 		Adquote
 * @package 	WooCommerce/Templates/Emails/Plain
 * @version     1.0.0
 */
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

echo $email_heading . "\n\n";

$order_id = version_compare( WC_VERSION, '2.7', '<' ) ? $order->id : $order->get_id();

if ( strcmp( WC_Adq()->order->get_billing_first_name(), "" ) === 0 || strcmp( WC_Adq()->order->get_billing_last_name(), "" ) === 0 ) {
    echo sprintf( __( 'You have received a quote request from %s. Their request is as follows:', 'woocommerce-quotation' ), WC_Adq()->order->get_billing_email() ) . "\n\n";
    }
    else {
    echo sprintf( __( 'You have received a quote request from %s. Their request is as follows:', 'woocommerce-quotation' ), WC_Adq()->order->get_billing_first_name() . ' ' . WC_Adq()->order->get_billing_last_name() ) . "\n\n";
    }


if ( $order->get_user() ) :

        echo sprintf( __( 'You can access your account area to view your orders here: %s.', 'woocommerce-quotation' ), get_permalink( wc_get_page_id( 'myaccount' ) ) ) . "\n\n"; 

endif;

echo "****************************************************\n\n";

do_action( 'adq_email_proposal_after_header', $order, $sent_to_admin, $plain_text );
echo "----------\n\n";

do_action( 'woocommerce_email_before_order_table', $order, $sent_to_admin, $plain_text );

echo sprintf( __( 'Order number: %s', 'woocommerce'), $order->get_order_number() ) . "\n";
echo sprintf( __( 'Quote request link: %s', 'woocommerce-quotation'), admin_url( 'post.php?post=' . $order_id . '&action=edit' ) ) . "\n";
echo sprintf( __( 'Quote request date: %s', 'woocommerce-quotation'), date_i18n( __( 'jS F Y', 'woocommerce' ), strtotime( WC_Adq()->order->get_order_date() ) ) ) . "\n";

do_action( 'woocommerce_email_order_meta', $order, $sent_to_admin, $plain_text );

echo "\n" . adq_get_email_order_items( $order, array( 	'show_sku'    => false, 	'show_image'  => false, 	'$image_size' => array( 32, 32 ), 	'plain_text'  => true ) );

echo "----------\n\n";

if ( $totals = $order->get_order_item_totals() ) {
	foreach ( $totals as $total ) {
		echo $total['label'] . "\t ";

                if( ( StaticAdqQuoteRequest::can_show_price() && StaticAdqQuoteRequest::can_show_product_price( $order ) ) 
                    || ( $total['value'] == "" ) ) { 
                        echo $total['value'];
                }
                else {
                        echo __( 'Not yet proposed', 'woocommerce-quotation' );
                }

                echo "\n";
	}
}

echo "\n****************************************************\n\n";

do_action( 'woocommerce_email_after_order_table', $order, $sent_to_admin, $plain_text );


/**
 * @hooked WC_Emails::order_meta() Shows order meta data.
 */
do_action( 'woocommerce_email_order_meta', $order, $sent_to_admin, $plain_text, $email );

/**
 * @hooked WC_Emails::customer_details() Shows customer details
 * @hooked WC_Emails::email_address() Shows email address
 */
do_action( 'woocommerce_email_customer_details', $order, $sent_to_admin, $plain_text, $email );

echo "\n=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=\n\n";

echo apply_filters( 'woocommerce_email_footer_text', get_option( 'woocommerce_email_footer_text' ) );
